package cms

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"

	_ "git.rosy.net.cn/jx-callback/globals/api/apimanager"

	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"
	"git.rosy.net.cn/jx-callback/business/model"
)

func TestTryAddStoreBossRole4User(t *testing.T) {
	err := TryAddStoreBossRole4User(jxcontext.AdminCtx, &model.User{
		Type:   model.UserTypeStoreBoss,
		UserID: "24058800CD3711E991B2525400E86DC0",
		Mobile: utils.String2Pointer("91112345678"),
	})
	if err != nil {
		t.Fatal(err)
	}
}
